<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Tue May 25 22:41:00 CEST 2010 -->
<TITLE>
D-Index
</TITLE>

<META NAME="date" CONTENT="2010-05-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="D-Index";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-3.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-5.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-4.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-4.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>
<A NAME="_D_"><!-- --></A><H2>
<B>D</B></H2>
<DL>
<DT><A HREF="../org/bitfountain/math/Matrix.html#data"><B>data</B></A> - 
Variable in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Matrix.html" title="class in org.bitfountain.math">Matrix</A>
<DD>List of rows, address like this: data[row][column].
<DT><A HREF="../org/bitfountain/math/Vector.html#data"><B>data</B></A> - 
Variable in class org.bitfountain.math.<A HREF="../org/bitfountain/math/Vector.html" title="class in org.bitfountain.math">Vector</A>
<DD>Underlying array.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decode(int[], int[], int[])"><B>decode(int[], int[], int[])</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A>
<DD>Decode Reed-Solomon-encoded data, and store the result into output.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decodeFile(java.io.File)"><B>decodeFile(File)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A>
<DD>Decode a Reed-Solomon encoded file.
<DT><A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html#decodeFile(java.io.File, org.bitfountain.gui.client.ProgressListener)"><B>decodeFile(File, ProgressListener)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.decoding.<A HREF="../org/bitfountain/math/reedsolomon/decoding/RSDecoder.html" title="class in org.bitfountain.math.reedsolomon.decoding">RSDecoder</A>
<DD>Decode a Reed-Solomon encoded file, with an optional
 progress listener.
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_CHECKSUM_BLOCK_SIZE"><B>DEFAULT_CHECKSUM_BLOCK_SIZE</B></A> - 
Static variable in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>By default, use 32 checksum bytes.
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_DATA_BLOCK_SIZE"><B>DEFAULT_DATA_BLOCK_SIZE</B></A> - 
Static variable in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>By default, use 223 data bytes.
<DT><A HREF="../org/bitfountain/network/server/ServerCommunication.html#DEFAULT_PORT"><B>DEFAULT_PORT</B></A> - 
Static variable in class org.bitfountain.network.server.<A HREF="../org/bitfountain/network/server/ServerCommunication.html" title="class in org.bitfountain.network.server">ServerCommunication</A>
<DD>Default port on which to listen.
<DT><A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html#DEFAULT_TOTAL_BLOCK_SIZE"><B>DEFAULT_TOTAL_BLOCK_SIZE</B></A> - 
Static variable in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/RSAlgorithm.html" title="class in org.bitfountain.math.reedsolomon">RSAlgorithm</A>
<DD>223 + 32 = 255, all good.
<DT><A HREF="../org/bitfountain/network/client/ClientCommunication.html#disconnect()"><B>disconnect()</B></A> - 
Method in class org.bitfountain.network.client.<A HREF="../org/bitfountain/network/client/ClientCommunication.html" title="class in org.bitfountain.network.client">ClientCommunication</A>
<DD>Disconnect from the server.
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#div(int, int)"><B>div(int, int)</B></A> - 
Method in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Divide a by b in this galois field.
<DT><A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html#divTable"><B>divTable</B></A> - 
Variable in class org.bitfountain.math.reedsolomon.<A HREF="../org/bitfountain/math/reedsolomon/GaloisField.html" title="class in org.bitfountain.math.reedsolomon">GaloisField</A>
<DD>Precomputed add and mul tables.
<DT><A HREF="../org/bitfountain/gui/client/download/DownloadItem.html" title="class in org.bitfountain.gui.client.download"><B>DownloadItem</B></A> - Class in <A HREF="../org/bitfountain/gui/client/download/package-summary.html">org.bitfountain.gui.client.download</A><DD>An element of the Downloading zone.<DT><A HREF="../org/bitfountain/gui/client/download/DownloadItem.html#DownloadItem(org.bitfountain.network.packets.FileHeader, org.bitfountain.math.reedsolomon.decoding.RSNetDecoder, org.bitfountain.gui.client.EventHandler)"><B>DownloadItem(FileHeader, RSNetDecoder, EventHandler)</B></A> - 
Constructor for class org.bitfountain.gui.client.download.<A HREF="../org/bitfountain/gui/client/download/DownloadItem.html" title="class in org.bitfountain.gui.client.download">DownloadItem</A>
<DD>Create an element of the Downloading zone.
<DT><A HREF="../org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download"><B>DownloadList</B></A> - Class in <A HREF="../org/bitfountain/gui/client/download/package-summary.html">org.bitfountain.gui.client.download</A><DD>A filezone for downloading files.<DT><A HREF="../org/bitfountain/gui/client/download/DownloadList.html#DownloadList(org.bitfountain.gui.client.MainWindow)"><B>DownloadList(MainWindow)</B></A> - 
Constructor for class org.bitfountain.gui.client.download.<A HREF="../org/bitfountain/gui/client/download/DownloadList.html" title="class in org.bitfountain.gui.client.download">DownloadList</A>
<DD>Create a new filezone for downloading files.
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Package</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../overview-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="index-3.html"><B>PREV LETTER</B></A>&nbsp;
&nbsp;<A HREF="index-5.html"><B>NEXT LETTER</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../index.html?index-filesindex-4.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-4.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<A HREF="index-1.html">A</A> <A HREF="index-2.html">B</A> <A HREF="index-3.html">C</A> <A HREF="index-4.html">D</A> <A HREF="index-5.html">E</A> <A HREF="index-6.html">F</A> <A HREF="index-7.html">G</A> <A HREF="index-8.html">H</A> <A HREF="index-9.html">I</A> <A HREF="index-10.html">L</A> <A HREF="index-11.html">M</A> <A HREF="index-12.html">N</A> <A HREF="index-13.html">O</A> <A HREF="index-14.html">P</A> <A HREF="index-15.html">Q</A> <A HREF="index-16.html">R</A> <A HREF="index-17.html">S</A> <A HREF="index-18.html">T</A> <A HREF="index-19.html">U</A> <A HREF="index-20.html">V</A> <A HREF="index-21.html">W</A> <HR>

</BODY>
</HTML>
